Package: org.codehaus.groovy.runtime

## [Java] Class InvokerInvocationException

- org.codehaus.groovy.runtime.InvokerInvocationException

- An exception thrown if a method is called and an exception occurred

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvokerInvocationException (InvocationTargetException e)`
    `InvokerInvocationException (Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getMessage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public InvokerInvocationException(InvocationTargetException e)

    - #### public InvokerInvocationException(Throwable cause)

  - ### Method Detail

    - #### public String getMessage()